diff --git b/instrumentation/aox/build/clang/schema.pg a/instrumentation/aox/build/clang/schema.pg
new file mode 100644
index 0000000..6486eeb
--- /dev/null
+++ a/instrumentation/aox/build/clang/schema.pg
@@ -0,0 +1,561 @@
+-- See http://archiveopteryx.org/db/ for documentation.
+
+-- Each table is documented in an eponymous /db/ page. For example,
+-- http://archiveopteryx.org/db/addresses describes the addresses
+-- table.
+
+-- Finally, http://archiveopteryx.org/schema is a quick overview.
+
+
+-- This table contains information internal to the mailstore.
+-- For now, its only purpose is to coordinate schema updates.
+
+create table mailstore (
+    -- Grant: select, update
+    revision    integer not null primary key
+);
+insert into mailstore (revision) values (97);
+
+
+-- One entry for each unique address we've encountered.
+
+create extension if not exists citext;
+create table addresses (
+    -- Grant: select, insert
+    id          serial primary key,
+    name        text,
+    localpart   citext,
+    domain      citext
+);
+create unique index addresses_ldn_key on addresses(localpart,domain,name);
+
+
+-- One entry per "other users" namespace. Personal namespaces are
+-- implicitly created within these.
+
+create table namespaces (
+    id          serial primary key,
+    name        text not null unique
+);
+insert into namespaces (name) values ('/users');
+
+
+-- One entry per Archiveopteryx user. Used for authentication.
+
+create table users (
+    id          serial primary key,
+    login       text,
+    secret      text,
+    ldapdn      text,
+    parentspace integer not null references namespaces(id),
+    quota       bigint not null default 2147483647
+);
+create unique index u_l on users (lower(login));
+
+
+-- One entry per group of users.
+
+create table groups (
+    id          serial primary key,
+    name        text
+);
+
+
+-- One entry for each group member.
+
+create table group_members (
+    groupid     integer not null references groups(id),
+    member      integer not null references users(id),
+    primary key (groupid, member)
+);
+
+
+-- One entry per deliverable mailbox.
+
+create table mailboxes (
+    -- Grant: select, insert, update
+    id          serial primary key,
+    name        text not null unique,
+    owner       integer references users(id),
+
+    -- The UID that will be assigned to the next delivered message.
+    -- Incremented after each successful delivery.
+    uidnext     integer not null default 1,
+
+    -- The next modsequence value for this mailbox.
+    nextmodseq  bigint not null default 1,
+
+    -- The UID of the first message that should be marked \\Recent.
+    -- Set to uidnext when each new IMAP session is created.
+    first_recent integer not null default 1,
+
+    -- The IMAP mailbox UIDVALIDITY value, which, along with a message UID,
+    -- is forever guaranteed to uniquely refer to a single message.
+    uidvalidity integer not null default 1,
+
+    -- When a mailbox is deleted, its entry is marked (not removed), so
+    -- that its UIDVALIDITY can be incremented if it is ever re-created.
+    deleted     boolean not null default false
+);
+
+
+-- When aoximport or others create /users/foo/bar, bar needs to own
+-- the mailbox, so ensure that that happens.
+
+create function set_mailbox_owner() returns trigger as $$
+begin
+    if new.owner is null then
+    select into new.owner u.id
+        from users u join namespaces n on (u.parentspace=n.id)
+        where new.name like n.name||'/'||u.login||'/%'
+        or new.name = n.name||'/'||u.login limit 1;
+    end if;
+    return new;
+end;
+$$ language 'plpgsql';
+
+create trigger mailbox_owner_trigger
+before insert on mailboxes for each
+row execute procedure set_mailbox_owner();
+
+-- Ensure that mailboxes cannot be deleted while something relies on
+-- their existence
+
+create function check_mailbox_update() returns trigger as $$
+declare address text;
+begin
+    notify mailboxes_updated;
+    if new.deleted='t' and old.deleted='f' then
+        perform * from mailbox_messages where mailbox=new.id;
+        if found then
+            raise exception '% is not empty', new.name;
+        end if;
+        select a.localpart||'@'||a.domain into address
+            from addresses a join aliases al on (a.id=al.address)
+            where al.mailbox=new.id;
+        if address is not null then
+            raise exception '% used by alias %', new.name, address;
+        end if;
+        perform * from fileinto_targets where mailbox=new.id;
+        if found then
+            raise exception '% is used by sieve fileinto', new.name;
+        end if;
+    end if;
+    return new;
+end;
+$$ language 'plpgsql';
+
+create trigger mailbox_update_trigger
+before update on mailboxes for each
+row execute procedure check_mailbox_update();
+
+
+-- One entry per delivery alias: mail to the given address should be
+-- accepted and delivered into the given mailbox.
+
+create table aliases (
+    -- Grant: select, update
+    id          serial primary key,
+    address     integer not null unique references addresses(id),
+    mailbox     integer not null references mailboxes(id)
+                on delete cascade
+);
+
+
+alter table users add alias integer references aliases(id);
+
+
+-- One row per <identifier, rights> entry for a mailbox.
+
+create table permissions (
+    -- Grant: select, insert, delete, update
+    mailbox     integer not null references mailboxes(id),
+    identifier  text not null,
+    rights      text not null,
+    primary key (mailbox, identifier)
+);
+
+
+-- One entry for each Message-ID that begins a thread (for THREAD=REFS)
+
+create table thread_roots (
+    -- Grant: select, insert, update
+    id          serial primary key,
+    messageid   text not null unique
+);
+
+
+-- One entry per message stored
+
+create table messages (
+    -- Grant: select, insert
+    id          serial primary key,
+    idate       integer not null,
+    rfc822size  integer,
+    thread_root integer references thread_roots(id)
+);
+
+
+-- One (mailbox, uid) entry per message and mailbox.
+
+create table mailbox_messages (
+    -- Grant: select, insert, update
+    mailbox     integer not null references mailboxes(id),
+    uid         integer not null,
+    message     integer not null references messages(id),
+    modseq      bigint not null,
+    seen        boolean not null default false,
+    deleted     boolean not null default false,
+    primary key (mailbox, uid)
+);
+
+create index mm_m on mailbox_messages(message);
+
+
+-- One entry for the text of each unique MIME body part.
+-- Entries here may be shared by more than one message.
+
+create sequence bodypart_ids;
+create table bodyparts (
+    -- Grant: select, insert
+    id          integer default nextval('bodypart_ids') primary key,
+    bytes       integer not null,
+    hash        text not null,
+    text        text,
+    data        bytea
+);
+create index b_h on bodyparts(hash);
+
+
+-- One entry for each bodypart in a message.
+
+create table part_numbers (
+    -- Grant: select, insert
+    message     integer references messages(id) on delete cascade,
+    part        text not null,
+    bodypart    integer references bodyparts(id),
+    bytes       integer,
+    lines       integer,
+    primary key (message, part)
+);
+create index pn_b on part_numbers(bodypart);
+
+
+-- One entry for each field name we've seen (From, To, Subject, etc.).
+-- (This table is partially populated from the field-names file.)
+
+create table field_names (
+    -- Grant: select, insert
+    id          serial primary key,
+    name        text unique
+);
+
+
+-- One entry for each header field in a message, except address fields.
+
+create table header_fields (
+    -- Grant: select, insert
+    id          serial primary key,
+    message     integer not null,
+    part        text not null,
+    position    integer not null,
+    field       integer not null references field_names(id),
+    value       text,
+    unique (message, part, position, field),
+    foreign key (message, part)
+                references part_numbers(message, part)
+                on delete cascade
+);
+
+create index hf_msgid on header_fields(value) where field=13;
+
+
+-- One entry for each address associated with a message. Address
+-- fields are stored as one or more row here.
+
+create table address_fields (
+    -- Grant: select, insert
+    message     integer not null,
+    part        text not null,
+    position    integer not null,
+    field       integer not null,
+    number      integer,
+    address     integer not null references addresses(id),
+    foreign key (message, part)
+                references part_numbers(message, part)
+                on delete cascade
+);
+create index af_mp on address_fields (message, part);
+
+
+-- The Date field from each message.
+
+create table date_fields (
+    -- Grant: select, insert
+    message     integer not null references messages(id)
+                on delete cascade,
+    value       timestamp with time zone
+);
+
+create index df_m on date_fields(message);
+
+
+-- One entry per user-defined flag name to be used in flags.
+
+create table flag_names (
+    -- Grant: select, insert
+    id          serial primary key,
+    name        text
+);
+create unique index fn_uname on flag_names(lower(name));
+
+
+-- One entry per user-defined IMAP message flag per message.
+
+create table flags (
+    -- Grant: select, insert, delete
+    mailbox     integer not null,
+    uid         integer not null,
+    flag        integer not null references flag_names(id),
+    foreign key (mailbox, uid)
+                references mailbox_messages(mailbox, uid)
+                on delete cascade
+);
+create index fl_mu on flags (mailbox, uid);
+
+
+-- One entry per subscribed mailbox per user.
+
+create table subscriptions (
+    -- Grant: select, insert, delete
+    id          serial primary key,
+    owner       integer not null references users(id)
+                on delete cascade,
+    mailbox     integer not null references mailboxes(id),
+    unique(owner, mailbox)
+);
+
+
+-- One entry per vendor- or RFC-defined name to be used in annotations.
+
+create table annotation_names (
+    -- Grant: select, insert
+    id          serial primary key,
+    name        text unique
+);
+
+
+-- One entry per annotation.
+
+create table annotations (
+    -- Grant: select, insert, delete, update
+    id          serial primary key,
+    mailbox     integer not null,
+    uid         integer not null,
+    owner       integer references users(id) on delete cascade,
+    name        integer not null references annotation_names(id),
+    value       text,
+    unique (mailbox, uid, owner, name),
+    foreign key (mailbox, uid)
+                references mailbox_messages(mailbox, uid)
+                on delete cascade
+);
+
+
+-- One entry per SIEVE script owned by a user.
+
+create table scripts (
+    -- Grant: select, insert, delete, update
+    id          serial primary key,
+    owner       integer not null references users(id)
+                on delete cascade,
+    name        text,
+    active      boolean not null default 'f',
+    script      text,
+    unique (owner, name)
+);
+
+
+-- One entry per deleted (EXPUNGEd) message. A row here says "message
+-- #n used to be (mailbox,uid) until it was deleted_by ... at ...". A
+-- given pair of (mailbox,uid) may exist either in mailbox_messages or
+-- here, never in both.
+
+create table deleted_messages (
+    -- Grant: select, insert
+    mailbox     integer not null references mailboxes(id),
+    uid         integer not null,
+    message     integer not null references messages(id)
+                on delete cascade,
+    modseq      bigint not null,
+    deleted_by  integer references users(id),
+    deleted_at  timestamp with time zone not null
+                default current_timestamp,
+    reason      text,
+    primary key (mailbox, uid)
+);
+
+create index dm_mud on deleted_messages(mailbox,uid,deleted_at);
+create index dm_mm on deleted_messages(mailbox,modseq);
+create index dm_m on deleted_messages(message);
+
+
+-- When an entry is inserted into deleted_messages, we delete the
+-- corresponding row from mailbox_messages.
+
+create function delete_message() returns trigger as $$
+begin
+    delete from mailbox_messages where mailbox=NEW.mailbox and uid=NEW.uid;
+    return NULL;
+end;
+$$ language plpgsql security definer;
+
+create trigger deleted_messages_trigger
+after insert on deleted_messages
+for each row execute procedure delete_message();
+
+-- One entry for each pending SMTP-submitted delivery.
+
+create table deliveries (
+    -- Grant: select, insert, delete, update
+    id          serial primary key,
+    sender      integer not null references addresses(id),
+    message     integer not null references messages(id)
+                on delete cascade
+                unique,
+    injected_at timestamp with time zone,
+    expires_at  timestamp with time zone,
+    deliver_after timestamp with time zone
+);
+
+
+-- One entry for each recipient of pending outgoing mail.
+
+create table delivery_recipients (
+    -- Grant: select, insert, update
+    id          serial primary key,
+    delivery    integer not null references deliveries(id)
+                on delete cascade,
+    recipient   integer not null references addresses(id),
+    last_attempt timestamp with time zone,
+    action      integer not null default 0,
+    status      text
+);
+
+
+-- Each entry contains a single user's access key to a given mailbox.
+-- (See URLAUTH, RFC 4467.)
+
+create table access_keys (
+    -- Grant: select, insert, delete
+    userid      integer not null references users(id)
+                on delete cascade,
+    mailbox     integer not null references mailboxes(id)
+                on delete cascade,
+    key         text not null,
+    primary key (userid, mailbox)
+);
+
+
+-- One entry for each bodypart that represents an unparseable message
+-- that was wrapped as an application/octet-stream.
+
+create table unparsed_messages (
+    -- Grant: insert
+    bodypart    integer not null references bodyparts(id)
+                on delete cascade,
+    primary key(bodypart)
+);
+
+
+-- One entry for every autoresponse we send.
+
+create table autoresponses (
+    -- Grant: select, insert
+    id          serial primary key,
+    sent_from   integer not null references addresses(id),
+    sent_to     integer not null references addresses(id),
+    expires_at  timestamp with time zone not null
+                default current_timestamp+interval '7 days',
+    handle      text
+);
+
+
+-- One entry for every (authenticated) connection made to any of the
+-- servers.
+
+create table connections (
+    -- Grant: insert
+    id          serial primary key,
+    userid      integer,
+    username    text,
+    address     inet not null,
+    port        integer not null,
+    mechanism   varchar not null,
+    authfailures integer not null,
+    syntaxerrors integer not null,
+    started_at  timestamp with time zone not null,
+    ended_at    timestamp with time zone not null
+);
+
+
+-- One entry for each mailbox used by a given script as a target for a
+-- "fileinto". These mailboxes must not be deleted, since that would
+-- cause the referring script to fail.
+
+create table fileinto_targets (
+    -- Grant: select, insert, delete
+    id          serial primary key,
+    script      integer not null references scripts(id)
+                on delete cascade,
+    mailbox     integer not null references mailboxes(id),
+    unique(script, mailbox)
+);
+
+
+-- One entry for each message that a poor misguided Exchange/Outlook
+-- contributes to its idea of a thread. Used to turn E/O threading
+-- into what the rest of the universe uses.
+
+create table thread_indexes (
+    -- Grant: select, insert
+    message     integer not null references messages(id)
+                on delete cascade,
+    thread_index text
+);
+
+create index ti_outlook_hack on thread_indexes(thread_index);
+
+
+-- One row for each explicit retention policy defined by the
+-- administrator.
+
+create table retention_policies (
+    id          serial primary key,
+    action      text not null,
+    mailbox     integer references mailboxes(id),
+    duration    integer not null,
+    selector    text,
+    constraint rp_action check (action in ('retain','delete'))
+);
+
+create or replace function notify_retention_policies()
+returns trigger as $$
+begin
+    notify retention_policies_updated;
+    return NULL;
+end;$$ language 'plpgsql';
+
+create trigger retention_policies_trigger
+after insert or update or delete
+on retention_policies
+for each statement
+execute procedure notify_retention_policies();
+
+create or replace function merge_threads(t integer, f integer) returns int as $$
+begin
+    -- Grant: execute
+    update messages set thread_root=t where thread_root=f;
+    return 0;
+end;
+$$ language 'plpgsql' security definer;
diff --git b/instrumentation/aox/build/gcc-O3/COPYING a/instrumentation/aox/build/gcc-O3/COPYING
new file mode 100644
index 0000000..fc34d88
--- /dev/null
+++ a/instrumentation/aox/build/gcc-O3/COPYING
@@ -0,0 +1,4 @@
+Archiveopteryx 3.2.0 is licensed to you by Oryx Mail Systems GmbH
+under the PostgreSQL License, a copy of which is enclosed in the file
+bsd.txt. We adapted the text from that used by PostgreSQL,
+http://www.postgresql.org/about/licence
diff --git b/instrumentation/aox/build/gcc-O3/README a/instrumentation/aox/build/gcc-O3/README
new file mode 100644
index 0000000..4dc59be
--- /dev/null
+++ a/instrumentation/aox/build/gcc-O3/README
@@ -0,0 +1,131 @@
+Archiveopteryx
+http://archiveopteryx.org
+
+
+See http://archiveopteryx.org/overview for an introduction
+and http://archiveopteryx.org/3.2.0 for information about
+version 3.2.0.
+
+
+Requirements
+------------
+
+You need g++ (and associated packages) to build this software.
+
+You need to have PostgreSQL installed to use Archiveopteryx. We
+recommend the latest 9.x version (but anything newer than 9.1
+should work; see http://archiveopteryx.org/postgresql/).
+
+
+Installation
+------------
+
+For detailed installation instructions, see:
+http://archiveopteryx.org/installation
+
+Here's a brief overview of the steps to follow while installing
+Archiveopteryx for the first time (see below if you're upgrading):
+
+1. Type "make" to compile the software.
+
+   We test the build on Linux and FreeBSD. You may encounter some errors
+   if you compile elsewhere. We make few demands of the platform, so any
+   errors are likely to be minor, and if you tell us about them, we'd be
+   happy to help you resolve them.
+
+2. Type "make install" as root to install the software into /usr/local/archiveopteryx
+   (then switch to that directory to continue).
+
+   The archiveopteryx(7) manual page introduces the software.
+
+   (You may want to add /usr/local/archiveopteryx/man to your MANPATH.)
+
+3. Run "lib/installer" to create a Unix user and group, a PostgreSQL
+   user, the necessary database tables, and to generate an initial
+   configuration file.
+
+   See installer(8) for details, or run "lib/installer -n" to see what
+   commands the installer would run, without running them.
+
+   The generated configuration file should work fine, but you may need
+   to edit it, for example, to enable POP3, or make the servers listen
+   on some interface other than localhost. See archiveopteryx.conf(5)
+   for more details.
+
+4. Start the servers: "bin/aox start".
+
+   aox is the command-line administration tool for Archiveopteryx.
+   See aox(8) or run "bin/aox help" for usage instructions.
+
+   The servers write log output to syslog/mail.
+
+   (To start the servers automatically at boot, use lib/archiveopteryx
+   as an init script.)
+
+5. Create some users, e.g. with:
+
+       bin/aox add user nirmala pwd nirmala@example.com
+
+   Archiveopteryx will create a user named nirmala (with password "pwd")
+   and accept mail sent to the given address, and store it in a mailbox
+   named /users/nirmala/INBOX, which can be accessed via IMAP or POP.
+
+6. Configure your MTA to deliver incoming mail into Archiveopteryx via
+   LMTP (or via bin/deliver, if your MTA doesn't speak LMTP). See, e.g.
+   http://archiveopteryx.org/postfix and .../exim for details.
+
+7. Add an entry to root's crontab to run "aox vacuum" daily. Remember to
+   enable PostgreSQL's "autovacuum" feature too (strongly recommended),
+   or at least to run "vacuumdb -qaz" from the postgres user's crontab.
+   You'll also need to adjust the memory settings in postgresql.conf
+   (shared_buffers, effective_cache_size) for better performance.
+
+
+Upgrading Archiveopteryx
+------------------------
+
+1. "make" and "make install" as above.
+
+2. Upgrade the schema, if necessary: "aox stop; aox upgrade schema"
+
+   We sometimes change the database schema between releases, so you may
+   need to stop the server and upgrade the schema. You can check if the
+   schema is up to date with "aox show schema". The new server will not
+   start until the schema is at the version it expects.
+
+   It is safe to run "aox upgrade schema" when the server is stopped. If
+   it doesn't need to do anything, it will just exit.
+
+   We try to keep schema upgrades fast, to minimise downtime.
+
+3. Restart the servers: "aox restart"
+
+4. Update the database, if necessary: "aox update database"
+
+   Very rarely, we may need to make extensive changes to the database.
+   In this case, you will need to run "aox update database" after you
+   install and start the new server. The server will operate normally
+   as the update proceeds. The release notes for a particular version
+   will always mention it if you need to update the database.
+
+   It is always safe to run "aox update database", whether the server is
+   stopped or running. If it doesn't need to do anything, it will exit.
+   If the process is terminated, it is safe to restart it; it will pick
+   up where it left off.
+
+
+Mailing Lists
+-------------
+
+There are mailing lists for Archiveopteryx users and announcements. To
+subscribe to the users list (which also gets announcements), send mail:
+
+    echo|mail -s subscribe users-request@aox.org
+
+To subscribe instead to the low-volume announcements list:
+
+    echo|mail -s subscribe announce-request@aox.org
+
+
+If you encounter any problems or have any suggestions, please write to
+info@aox.org. Your comments help us improve Archiveopteryx.
diff --git b/instrumentation/aox/build/gcc-O3/downgrades a/instrumentation/aox/build/gcc-O3/downgrades
new file mode 100644
index 0000000..b8c0fed
--- /dev/null
+++ a/instrumentation/aox/build/gcc-O3/downgrades
@@ -0,0 +1,155 @@
+create or replace function downgrade_to_84()
+returns int as $$
+begin
+    return 0;
+end;$$ language 'plpgsql';
+
+create or replace function downgrade_to_83()
+returns int as $$
+begin
+    drop table retention_policies;
+    return 0;
+end;$$ language 'plpgsql';
+
+create or replace function downgrade_to_82()
+returns int as $$
+begin
+    insert into flags (mailbox, uid, flag)
+        select mailbox, uid, (select id from flag_names where name=E'\\\\Seen')
+        from mailbox_messages where seen;
+    insert into flags (mailbox, uid, flag)
+        select mailbox, uid, (select id from flag_names where name=E'\\\\Deleted')
+        from mailbox_messages where deleted;
+    alter table mailbox_messages drop seen, drop deleted;
+    return 0;
+end;$$ language 'plpgsql';
+
+create or replace function downgrade_to_81()
+returns int as $$
+begin
+    drop trigger mailbox_update_trigger on mailboxes;
+    drop function check_mailbox_update();
+    return 0;
+end;$$ language 'plpgsql';
+
+create or replace function downgrade_to_80()
+returns int as $$
+begin
+    drop trigger mailbox_owner_trigger on mailboxes;
+    drop function set_mailbox_owner();
+    return 0;
+end;$$ language 'plpgsql';
+
+create or replace function downgrade_to_85()
+returns int as $$
+begin
+    drop trigger retention_policies_trigger on retention_policies;
+    drop function notify_retention_policies();
+    return 0;
+end;$$ language 'plpgsql';
+
+create or replace function downgrade_to_86()
+returns int as $$
+begin
+    return 0;
+end;$$ language 'plpgsql';
+
+create or replace function downgrade_to_87()
+returns int as $$
+begin
+    alter table users alter alias set not null;
+    return 0;
+end;$$ language 'plpgsql';
+
+create or replace function downgrade_to_88()
+returns int as $$
+begin
+    alter table connections add userid integer;
+    update connections set userid=users.id from users where users.login=connections.username;
+    alter table connections drop username;
+    alter table connections add foreign key(userid) references users(id);
+    return 0;
+end;$$ language 'plpgsql';
+
+create or replace function downgrade_to_89()
+returns int as $$
+begin
+    alter table deliveries drop deliver_after;
+    return 0;
+end;$$ language 'plpgsql';
+
+create or replace function downgrade_to_90()
+returns int as $$
+begin
+    return 0;
+end;$$ language 'plpgsql';
+
+create or replace function downgrade_to_91()
+returns int as $$
+begin
+    alter table connections drop userid;
+    return 0;
+end;$$ language 'plpgsql';
+
+create or replace function downgrade_to_92()
+returns int as $$
+begin
+    alter table users drop quota;
+    return 0;
+end;$$ language 'plpgsql';
+
+create or replace function downgrade_to_93()
+returns int as $$
+begin
+    alter table group_members rename groupid to groupname;
+    return 0;
+end;$$ language 'plpgsql';
+
+create or replace function downgrade_to_94()
+returns int as $$
+begin
+    alter table messages drop thread_root;
+    drop table thread_roots;
+    drop function merge_threads(integer,integer);
+    create table threads (
+        id serial primary key,
+        mailbox integer not null references mailboxes(id),
+        subject text,
+        unique (mailbox, subject)
+    );
+    create table thread_members (
+        thread integer not null references threads(id),
+        mailbox integer not null,
+        uid integer not null,
+        primary key (thread, mailbox, uid),
+        foreign key (mailbox, uid) references mailbox_messages(mailbox, uid)
+            on delete cascade
+    );
+    return 0;
+end;$$ language 'plpgsql';
+
+create or replace function downgrade_to_95()
+returns int as $$
+begin
+    drop index addresses_ldn_key;
+    alter table addresses alter localpart type text;
+    alter table addresses alter domain type text;
+    create unique index addresses_nld_key on addresses(name,localpart,lower(domain));
+    create index ald on addresses(lower(localpart), lower(domain));
+    return 0;
+end;$$ language 'plpgsql';
+
+create or replace function downgrade_to_96()
+returns int as $$
+begin
+    create table views (
+        id          serial primary key,
+        source      integer not null references mailboxes(id)
+                    on delete cascade,
+        view        integer not null references mailboxes(id)
+                    on delete cascade unique,
+        nextmodseq  bigint not null,
+        selector    text
+    );
+    return 0;
+end;$$ language 'plpgsql';
diff --git b/instrumentation/aox/build/gcc-O3/field-names a/instrumentation/aox/build/gcc-O3/field-names
new file mode 100644
index 0000000..dd5aaf3
--- /dev/null
+++ a/instrumentation/aox/build/gcc-O3/field-names
@@ -0,0 +1,32 @@
+insert into field_names (name) values ('From');
+insert into field_names (name) values ('Resent-From');
+insert into field_names (name) values ('Sender');
+insert into field_names (name) values ('Resent-Sender');
+insert into field_names (name) values ('Return-Path');
+insert into field_names (name) values ('Reply-To');
+insert into field_names (name) values ('To');
+insert into field_names (name) values ('Cc');
+insert into field_names (name) values ('Bcc');
+insert into field_names (name) values ('Resent-To');
+insert into field_names (name) values ('Resent-Cc');
+insert into field_names (name) values ('Resent-Bcc');
+insert into field_names (name) values ('Message-Id');
+insert into field_names (name) values ('Resent-Message-Id');
+insert into field_names (name) values ('In-Reply-To');
+insert into field_names (name) values ('References');
+insert into field_names (name) values ('Date');
+insert into field_names (name) values ('Orig-Date');
+insert into field_names (name) values ('Resent-Date');
+insert into field_names (name) values ('Subject');
+insert into field_names (name) values ('Comments');
+insert into field_names (name) values ('Keywords');
+insert into field_names (name) values ('Content-Type');
+insert into field_names (name) values ('Content-Transfer-Encoding');
+insert into field_names (name) values ('Content-Disposition');
+insert into field_names (name) values ('Content-Description');
+insert into field_names (name) values ('Content-Id');
+insert into field_names (name) values ('Mime-Version');
+insert into field_names (name) values ('Received');
+insert into field_names (name) values ('Content-Language');
+insert into field_names (name) values ('Content-Location');
+insert into field_names (name) values ('Content-Md5');
diff --git b/instrumentation/aox/build/gcc-O3/flag-names a/instrumentation/aox/build/gcc-O3/flag-names
new file mode 100644
index 0000000..7418b77
--- /dev/null
+++ a/instrumentation/aox/build/gcc-O3/flag-names
@@ -0,0 +1,5 @@
+insert into flag_names (name) values (E'\\\\Deleted');
+insert into flag_names (name) values (E'\\\\Answered');
+insert into flag_names (name) values (E'\\\\Flagged');
+insert into flag_names (name) values (E'\\\\Draft');
+insert into flag_names (name) values (E'\\\\Seen');
